ChangeSet 1.1587.12.62, 2004/04/30 15:01:47-07:00, eike-hotplug@sf-tec.de

[PATCH] RPA PCI Hotplug: kill get_cur_bus_speed from rpaphp_core.c

The get_cur_bus_speed function of rpaphp does nothing that the PCI Hotplug Core
would not do by itself if this function does not exist, so just kill it.


 drivers/pci/hotplug/rpaphp_core.c |   14 --------------
 1 files changed, 14 deletions(-)


diff -Nru a/drivers/pci/hotplug/rpaphp_core.c b/drivers/pci/hotplug/rpaphp_core.c
--- a/drivers/pci/hotplug/rpaphp_core.c	Mon May 17 16:59:37 2004
+++ b/drivers/pci/hotplug/rpaphp_core.c	Mon May 17 16:59:37 2004
@@ -63,7 +63,6 @@
 static int get_attention_status(struct hotplug_slot *slot, u8 * value);
 static int get_adapter_status(struct hotplug_slot *slot, u8 * value);
 static int get_max_bus_speed(struct hotplug_slot *hotplug_slot, enum pci_bus_speed *value);
-static int get_cur_bus_speed(struct hotplug_slot *hotplug_slot, enum pci_bus_speed *value);
 
 struct hotplug_slot_ops rpaphp_hotplug_slot_ops = {
 	.owner = THIS_MODULE,
@@ -74,7 +73,6 @@
 	.get_attention_status = get_attention_status,
 	.get_adapter_status = get_adapter_status,
 	.get_max_bus_speed = get_max_bus_speed,
-	.get_cur_bus_speed = get_cur_bus_speed,
 };
 
 static int rpaphp_get_attention_status(struct slot *slot)
@@ -205,18 +203,6 @@
 
 	}
 	up(&rpaphp_sem);
-	return 0;
-}
-
-/* return dummy value because not sure if PRA provides any method... */
-static int get_cur_bus_speed(struct hotplug_slot *hotplug_slot, enum pci_bus_speed *value)
-{
-	struct slot *slot = get_slot(hotplug_slot, __FUNCTION__);
-
-	if (slot == NULL)
-		return -ENODEV;
-
-	*value = PCI_SPEED_UNKNOWN;
 	return 0;
 }
 
